Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# CosEventChannelAdmin::ProxyPullConsumer Interface Reference

Interface used by pull-style suppliers. More...

`import "CosEventChannelAdmin.idl";`

Inheritance diagram for CosEventChannelAdmin::ProxyPullConsumer:

[legend]
Collaboration diagram for CosEventChannelAdmin::ProxyPullConsumer:

[legend]
List of all members.

## Public Methods
void | connect_pull_supplier (in CosEventComm::PullSupplier pull_supplier) raises (AlreadyConnected, TypeError)
| Connect a pull supplier to the Event Service.

## Detailed Description

Interface used by pull-style suppliers.

Pull-style consumers use this interface to connect, disconnect and pull events from the Event Service.

The disconnect_pull_consumer() operation, derived from CosEventEventComm::PullConsumer, is used to disconnect from the Event Service.

## Member Function Documentation

void CosEventChannelAdmin::ProxyPullConsumer::connect_pull_supplier | ( | in CosEventComm::PullSupplier | pull_supplier | ) | raises (AlreadyConnected, TypeError)

  | Connect a pull supplier to the Event Service. The Event Service will not start pulling events until this operation is invoked. Parameters:
  pull_supplier | Callback interface used to (1) inform the application when the Event Service is destroyed, and (2) pull events from the application. The argument cannot be nil.
  Exceptions:
  CORBA::BAD_PARAM | if the pull_supplier argument is nil.
  AlreadyConnected | if the operation is called a second time.
  TypeError | In Typed Event Services if the consumer does not match the expected type.

The documentation for this interface was generated from the following file:

- CosEventChannelAdmin.idl